### Class

# Eog Job

#### Description

    abstract class Eog.Job : GObject.Object
    {
      GCancellable* cancellable,
      GError* error,
      GMutex* mutex,
      gfloat progress,
      gboolean cancelled,
      gboolean finished
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- EogJobCopy
- EogJobLoad
- EogJobModel
- EogJobSave
- EogJobThumbnail
- EogJobTransform

#### Functions

###### eog_job_scheduler_init

No description available.

#### Instance methods

###### eog_job_cancel

No description available.

###### eog_job_get_progress

No description available.

###### eog_job_is_cancelled

No description available.

###### eog_job_is_finished

No description available.

###### eog_job_run

No description available.

###### eog_job_scheduler_add_job

No description available.

###### eog_job_scheduler_add_job_with_priority

No description available.

###### eog_job_set_progress

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Eog.Job::cancelled

No description available.

###### Eog.Job::finished

No description available.

###### Eog.Job::progress

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EogJobClass {
      GObjectClass parent_class;
      void (* run) (
        EogJob* job
      );
      void (* progress) (
        EogJob* job,
        gfloat progress
      );
      void (* cancelled) (
        EogJob* job
      );
      void (* finished) (
        EogJob* job
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`run: void (* run) ( EogJob* job )`

  No description available.

`progress: void (* progress) ( EogJob* job, gfloat progress )`

  No description available.

`cancelled: void (* cancelled) ( EogJob* job )`

  No description available.

`finished: void (* finished) ( EogJob* job )`

  No description available.

#### Virtual methods

###### Eog.JobClass.cancelled

No description available.

###### Eog.JobClass.finished

No description available.

###### Eog.JobClass.progress

No description available.

###### Eog.JobClass.run

No description available.